package com.tuoheng.admin.enums.code.section;

/**
 *  根据部门id获取该部门下公路列表返回码
 *      模块代码：22（路段管理）
 *      接口代码：03 （根据部门id获取该部门下公路列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-20
 */
public enum QuerySectionListByDeptIdCodeEnum {

    QUERY_IS_FAILED(1220300, "获取数据失败"),
    DEPT_ID_IS_NULL(1220301, "部门id为空"),
    DEPT_IS_NOT_EXIST(1220302, "部门不存在"),
    SECTION_LIST_IS_NULL(1220303, "路段列表为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QuerySectionListByDeptIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
